com.beanit.asn1bean.ber.types

## Class BerEmbeddedPdv

- java.lang.Object
- - com.beanit.asn1bean.ber.types.BerEmbeddedPdv

- All Implemented Interfaces:
    BerType, java.io.Serializable

      public class BerEmbeddedPdv
      extends java.lang.Object
      implements BerType, java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BerEmbeddedPdv.Identification`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BerTag` | `tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BerEmbeddedPdv()`
    `BerEmbeddedPdv(byte[] code)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendAsString(java.lang.StringBuilder sb, int indentLevel)`
    `int` | `decode(java.io.InputStream is)`
    `int` | `decode(java.io.InputStream is, boolean withTag)`
    `int` | `encode(java.io.OutputStream reverseOS)`
    `int` | `encode(java.io.OutputStream reverseOS, boolean withTag)`
    `void` | `encodeAndSave(int encodingSizeGuess)`
    `BerOctetString` | `getDataValue()`
    `BerObjectDescriptor` | `getDataValueDescriptor()`
    `BerEmbeddedPdv.Identification` | `getIdentification()`
    `void` | `setDataValue(BerOctetString dataValue)`
    `void` | `setDataValueDescriptor(BerObjectDescriptor dataValueDescriptor)`
    `void` | `setIdentification(BerEmbeddedPdv.Identification identification)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public static final BerTag tag

  - ### Constructor Detail

    - #### BerEmbeddedPdv

          public BerEmbeddedPdv()

    - #### BerEmbeddedPdv

          public BerEmbeddedPdv(byte[] code)

  - ### Method Detail

    - #### getIdentification

          public BerEmbeddedPdv.Identification getIdentification()

    - #### setIdentification

          public void setIdentification(BerEmbeddedPdv.Identification identification)

    - #### getDataValueDescriptor

          public BerObjectDescriptor getDataValueDescriptor()

    - #### setDataValueDescriptor

          public void setDataValueDescriptor(BerObjectDescriptor dataValueDescriptor)

    - #### getDataValue

          public BerOctetString getDataValue()

    - #### setDataValue

          public void setDataValue(BerOctetString dataValue)

    - #### encode

          public int encode(java.io.OutputStream reverseOS)
                     throws java.io.IOException

      Specified by:
        `encode` in interface `BerType`
      Throws:
        `java.io.IOException`

    - #### encode

          public int encode(java.io.OutputStream reverseOS,
                            boolean withTag)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is)
                     throws java.io.IOException

      Specified by:
        `decode` in interface `BerType`
      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is,
                            boolean withTag)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeAndSave

          public void encodeAndSave(int encodingSizeGuess)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### appendAsString

          public void appendAsString(java.lang.StringBuilder sb,
                                     int indentLevel)